levelshots/piyo-funjumps_rev_cc_automap
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/piyo-funjumps_rev_cc.tga
      depthFunc equal
      rgbGen identity
   }
}

levelshots/piyo-funjumps_rev_cc_trans
{
   nopicmip
   nocompress
   nomipmaps
   {
      clampmap levelshots/piyo-funjumps_rev_cc.tga
      blendfunc blend
      rgbGen identity
      alphaGen vertex
   }
}

/// Skybox

textures/piyosky/piyosky
{
	qer_editorImage textures/piyosky/piyosky_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 1 1 70 -37 55 3 16
	q3map_LightMapFilterRadius 0 8
	q3map_skylight 50 4
	nopicmip
	skyparms textures/piyosky/piyosky - -
}

textures/piyosky-medium/piyosky-medium
{
	qer_editorImage textures/piyosky-medium/piyosky-medium_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 1 1 70 -37 55 3 16
	q3map_LightMapFilterRadius 0 8
	q3map_skylight 50 4
	nopicmip
	skyparms textures/piyosky-medium/piyosky-medium - -
}

textures/piyosky-hard/piyosky-hard
{
	qer_editorImage textures/piyosky-hard/piyosky-hard_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 1 1 70 -37 55 3 16
	q3map_LightMapFilterRadius 0 8
	q3map_skylight 50 4
	nopicmip
	skyparms textures/piyosky-hard/piyosky-hard - -
}

textures/piyosky-insane/piyosky-insane
{
	qer_editorImage textures/piyosky-insane/piyosky-insane_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 1 1 70 -37 55 3 16
	q3map_LightMapFilterRadius 0 8
	q3map_skylight 50 4
	nopicmip
	skyparms textures/piyosky-insane/piyosky-insane - -
}


/// Glass Shader

/// Glass Green

textures/9piyo/glass_green
{ 
	qer_editorimage textures/9piyo/glass_green.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9piyo/glass_green.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}
}

textures/9piyo/glass_green_fading
{ 
	qer_editorimage textures/9piyo/glass_green.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9piyo/glass_green.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625
		alphaGen vertex
	}
}

/// Glass Blue

textures/9piyo/glass_blue
{ 
	qer_editorimage textures/9piyo/glass_blue.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9piyo/glass_blue.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}
}

textures/9piyo/glass_blue_fading
{ 
	qer_editorimage textures/9piyo/glass_blue.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9piyo/glass_blue.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625
		alphaGen vertex
	}
}

/// Glass Red

textures/9piyo/glass_red
{ 
	qer_editorimage textures/9piyo/glass_red.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9piyo/glass_red.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}
}

textures/9piyo/glass_red_fading
{ 
	qer_editorimage textures/9piyo/glass_red.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9piyo/glass_red.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625
		alphaGen vertex
	}
}

/// Glass Purple

textures/9piyo/glass_purple
{ 
	qer_editorimage textures/9piyo/glass_purple.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9piyo/glass_purple.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}
}

textures/9piyo/glass_purple_fading
{ 
	qer_editorimage textures/9piyo/glass_purple.jpg
	q3map_surfacelight 500
	cull none 
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nonsolid
	surfaceparm trans
	{ 
		map textures/9piyo/glass_purple.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		tcGen environment 
		tcMod scroll 0.025 -0.07625
		alphaGen vertex
	}
}

/// Ice Shader

textures/9piyo/ice_slick
{
    qer_editorImage textures/9piyo/ice.tga
    q3map_surfacelight 200
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    surfaceparm nodamage
	tessSize 256



   {
      map $whiteimage
      depthWrite
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen const 0.5
      rgbGen const ( 0.819 1 0.988 )
   }


	{
		map textures/9piyo/ice.tga
		blendfunc blend
	}

    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }


    {
        map textures/effects/envmap_ice2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 1 1
        rgbGen identity
    }


}

/// Ice 2

textures/9piyo/ice_slick1
{
    qer_editorImage textures/9piyo/ice1.tga
    q3map_surfacelight 200
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    surfaceparm nodamage
	tessSize 256



   {
      map $whiteimage
      depthWrite
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen const 0.5
      rgbGen const ( 0.819 1 0.988 )
   }


	{
		map textures/9piyo/ice1.tga
		blendfunc blend
	}

    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }


    {
        map textures/effects/envmap_ice2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 1 1
        rgbGen identity
    }


}

/// Ice 3

textures/9piyo/ice_slick2
{
    qer_editorImage textures/9piyo/ice2.tga
    q3map_surfacelight 200
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    surfaceparm nodamage
	tessSize 256



   {
      map $whiteimage
      depthWrite
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen const 0.5
      rgbGen const ( 0.819 1 0.988 )
   }


	{
		map textures/9piyo/ice2.tga
		blendfunc blend
	}

    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }


    {
        map textures/effects/envmap_ice2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 1 1
        rgbGen identity
    }


}

/// Ice 4

textures/9piyo/ice_slick3
{
    qer_editorImage textures/9piyo/ice3.tga
    q3map_surfacelight 200
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    surfaceparm nodamage
	tessSize 256



   {
      map $whiteimage
      depthWrite
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen const 0.5
      rgbGen const ( 0.819 1 0.988 )
   }


	{
		map textures/9piyo/ice3.tga
		blendfunc blend
	}

    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }


    {
        map textures/effects/envmap_ice2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 1 1
        rgbGen identity
    }


}

/// Palm Shader

textures/9piyo/palmleaf-green
{
	qer_alphafunc gequal 0.5
	cull twosided
	deformVertexes wave 15 sin 0 1 0 0.25
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	implicitMask -
}

textures/9piyo/palmleaf-blue
{
	qer_alphafunc gequal 0.5
	cull twosided
	deformVertexes wave 15 sin 0 1 0 0.25
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	implicitMask -
}

textures/9piyo/palmleaf-purple
{
	qer_alphafunc gequal 0.5
	cull twosided
	deformVertexes wave 15 sin 0 1 0 0.25
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	implicitMask -
}

textures/9piyo/palmleaf-red
{
	qer_alphafunc gequal 0.5
	cull twosided
	deformVertexes wave 15 sin 0 1 0 0.25
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	implicitMask -
}

textures/9piyo/blue
{
	qer_editorimage textures/9piyo/blue.tga
	q3map_surfacelight 50
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_texturesize 1 1
	q3map_invert
	q3map_offset -2.0
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
	sort 16
	
	{
		map textures/9piyo/blue.tga
		blendfunc filter
		rgbGen identity
		tcGen environment
		tcMod scroll 0.01 -0.01
	}
}

/// Terrain

textures/9piyo/base_terrain
{
	q3map_nonplanar
	q3map_shadeAngle 180                                              
	q3map_normalimage textures/sd_bumpmaps/normalmap_terrain.tga
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
}

textures/9piyo/sound_terrain
{
	qer_editorimage textures/9piyo/terrain-green.tga
	q3map_baseshader textures/9piyo/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	
	{
		map textures/9piyo/terrain-green.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/9piyo/sound_terrain-blue
{
	qer_editorimage textures/9piyo/terrain-blue.tga
	q3map_baseshader textures/9piyo/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	
	{
		map textures/9piyo/terrain-blue.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/9piyo/sound_terrain-purple
{
	qer_editorimage textures/9piyo/terrain-purple.tga
	q3map_baseshader textures/9piyo/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	
	{
		map textures/9piyo/terrain-purple.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}


textures/9piyo/sound_terrain-red
{
	qer_editorimage textures/9piyo/terrain-red.tga
	q3map_baseshader textures/9piyo/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	
	{
		map textures/9piyo/terrain-red.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

/// Glow Shader

textures/9piyo/teleporter_fxlight
{
    qer_editorimage textures/9piyo/xtele_iris.tga
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks
    qer_trans 0.9
    cull none    
    {
        map textures/9piyo/xtele_star1.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen wave sin 1 0.02 0 0.1
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod stretch sin 0.5 0.02 0 0.2
        tcMod scroll -0.2 0.05
    }
    {
        map textures/9piyo/xtele_iris.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod scale 1 2
        tcMod scroll -0.25 0.05
    }
}

textures/9piyo/easyglow
{
    qer_editorimage textures/9piyo/glow-easy.tga
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks
    qer_trans 0.9
    cull none    
    {
        map textures/9piyo/glow-easystar.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen wave sin 1 0.02 0 0.1
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod stretch sin 0.5 0.02 0 0.2
        tcMod scroll -0.2 0.05
    }
    {
        map textures/9piyo/glow-easy.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod scale 1 2
        tcMod scroll -0.25 0.05
    }
}

textures/9piyo/mediumglow
{
    qer_editorimage textures/9piyo/glow-medium.tga
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks
    qer_trans 0.9
    cull none    
    {
        map textures/9piyo/glow-mediumstar.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen wave sin 1 0.02 0 0.1
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod stretch sin 0.5 0.02 0 0.2
        tcMod scroll -0.2 0.05
    }
    {
        map textures/9piyo/glow-medium.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod scale 1 2
        tcMod scroll -0.25 0.05
    }
}

textures/9piyo/hardglow
{
    qer_editorimage textures/9piyo/glow-hard.tga
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks
    qer_trans 0.9
    cull none    
    {
        map textures/9piyo/glow-hardstar.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen wave sin 1 0.02 0 0.1
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod stretch sin 0.5 0.02 0 0.2
        tcMod scroll -0.2 0.05
    }
    {
        map textures/9piyo/glow-hard.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod scale 1 2
        tcMod scroll -0.25 0.05
    }
}

textures/9piyo/insaneglow
{
    qer_editorimage textures/9piyo/glow-insane.tga
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks
    qer_trans 0.9
    cull none    
    {
        map textures/9piyo/glow-insanestar.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen wave sin 1 0.02 0 0.1
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod stretch sin 0.5 0.02 0 0.2
        tcMod scroll -0.2 0.05
    }
    {
        map textures/9piyo/glow-insane.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod scale 1 2
        tcMod scroll -0.25 0.05
    }
}

/// Map Pics

textures/9piyo/mapper
{
     qer_editorimage textures/9piyo/mapper.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/mapper.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/maptester
{
     qer_editorimage textures/9piyo/maptester.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/maptester.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/easy-sign
{
     qer_editorimage textures/9piyo/easy-sign.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/easy-sign.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/medium-sign
{
     qer_editorimage textures/9piyo/medium-sign.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/medium-sign.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/hard-sign
{
     qer_editorimage textures/9piyo/hard-sign.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/hard-sign.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/insane-sign
{
     qer_editorimage textures/9piyo/insane-sign.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/insane-sign.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

/// Letter Shader

/// Easy

textures/9piyo/easy1
{
     qer_editorimage textures/9piyo/easy-1.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/easy-1.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/easy2
{
     qer_editorimage textures/9piyo/easy-2.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/easy-2.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/easy3
{
     qer_editorimage textures/9piyo/easy-3.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/easy-3.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/easy4
{
     qer_editorimage textures/9piyo/easy-4.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/easy-4.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/easy5
{
     qer_editorimage textures/9piyo/easy-5.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/easy-5.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

/// Medium

textures/9piyo/medium1
{
     qer_editorimage textures/9piyo/medium-1.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/medium-1.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/medium2
{
     qer_editorimage textures/9piyo/medium-2.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/medium-2.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/medium3
{
     qer_editorimage textures/9piyo/medium-3.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/medium-3.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/medium4
{
     qer_editorimage textures/9piyo/medium-4.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/medium-4.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/medium5
{
     qer_editorimage textures/9piyo/medium-5.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/medium-5.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

/// Hard

textures/9piyo/hard1
{
     qer_editorimage textures/9piyo/hard-1.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/hard-1.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/hard2
{
     qer_editorimage textures/9piyo/hard-2.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/hard-2.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/hard3
{
     qer_editorimage textures/9piyo/hard-3.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/hard-3.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/hard4
{
     qer_editorimage textures/9piyo/hard-4.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/hard-4.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/hard5
{
     qer_editorimage textures/9piyo/hard-5.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/hard-5.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/hard6
{
     qer_editorimage textures/9piyo/hard-6.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/hard-6.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/hard7
{
     qer_editorimage textures/9piyo/hard-7.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/hard-7.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/hard8
{
     qer_editorimage textures/9piyo/hard-8.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/hard-8.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/hard9
{
     qer_editorimage textures/9piyo/hard-9.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/hard-9.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/hard10
{
     qer_editorimage textures/9piyo/hard-10.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/hard-10.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

/// Insane

textures/9piyo/insane1
{
     qer_editorimage textures/9piyo/insane-1.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/insane-1.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/insane2
{
     qer_editorimage textures/9piyo/insane-2.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/insane-2.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/insane3
{
     qer_editorimage textures/9piyo/insane-3.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/insane-3.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/insane4
{
     qer_editorimage textures/9piyo/insane-4.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/insane-4.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/insane5
{
     qer_editorimage textures/9piyo/insane-5.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/insane-5.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/insane6
{
     qer_editorimage textures/9piyo/insane-6.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/insane-6.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/insane7
{
     qer_editorimage textures/9piyo/insane-7.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/insane-7.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/insane8
{
     qer_editorimage textures/9piyo/insane-8.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/insane-8.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/insane9
{
     qer_editorimage textures/9piyo/insane-9.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/insane-9.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/insane10
{
     qer_editorimage textures/9piyo/insane-10.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/insane-10.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


/// Porter Insane

textures/pulchr/teleenv
{
	deformVertexes wave 100 sin 3 0 0 0 
	q3map_surfacelight 400
	{
		map textures/pulchr/teleenv.tga
		blendfunc add
		tcMod rotate 30
		tcMod scroll 1 0.1
		tcGen environment 
	}
}

textures/pulchr/telefront
{
	qer_editorimage textures/pulchr/telepulchr.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 200
	{
		map textures/pulchr/telepulchr.tga
		blendfunc blend
	}
	{
		map textures/pulchr/tele-swirl.tga
		blendfunc add
		tcMod rotate -320
	}
	{
		map textures/pulchr/telepulchr.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 0.5 0 0.25 
	}
}

textures/pulchr/teleback
{
	qer_editorimage textures/pulchr/back.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 200
	{
		map textures/pulchr/back.tga
		tcMod rotate 50
	}
	{
		map textures/pulchr/twirl.tga
		blendfunc blend
		tcMod rotate -540
	}
	{
		clampmap textures/pulchr/tele-swirl.tga
		blendfunc add
		tcMod rotate 573
	}
	{
		clampmap textures/pulchr/tele-swirl.tga
		blendfunc add
		tcMod rotate 573
		tcMod stretch sin 0.52 0 0 0 
	}
}

/// Porter Easy


textures/pulchr/teleenv-easy
{
	deformVertexes wave 100 sin 3 0 0 0 
	q3map_surfacelight 400
	{
		map textures/pulchr/teleenv-easy.tga
		blendfunc add
		tcMod rotate 30
		tcMod scroll 1 0.1
		tcGen environment 
	}
}

textures/pulchr/telefront-easy
{
	qer_editorimage textures/pulchr/pulch-easy.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 200
	{
		map textures/pulchr/pulch-easy.tga
		blendfunc blend
	}
	{
		map textures/pulchr/tele-swirl-easy.tga
		blendfunc add
		tcMod rotate -320
	}
	{
		map textures/pulchr/pulch-easy.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 0.5 0 0.25 
	}
}

textures/pulchr/teleback-easy
{
	qer_editorimage textures/pulchr/back.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 200
	{
		map textures/pulchr/back.tga
		tcMod rotate 50
	}
	{
		map textures/pulchr/twirl.tga
		blendfunc blend
		tcMod rotate -540
	}
	{
		clampmap textures/pulchr/tele-swirl-easy.tga
		blendfunc add
		tcMod rotate 573
	}
	{
		clampmap textures/pulchr/tele-swirl-easy.tga
		blendfunc add
		tcMod rotate 573
		tcMod stretch sin 0.52 0 0 0 
	}
}

/// Porter JumpEnds


textures/pulchr/pulch-easy1
{
     qer_editorimage textures/pulchr/pulch-easy.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/pulchr/pulch-easy.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/pulchr/pulch-medium1
{
     qer_editorimage textures/pulchr/pulch-medium.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/pulchr/pulch-medium.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/pulchr/pulch-hard1
{
     qer_editorimage textures/pulchr/pulch-hard.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/pulchr/pulch-hard.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/pulchr/pulch-insane1
{
     qer_editorimage textures/pulchr/telepulchr.tga
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/pulchr/telepulchr.tga
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

/// Porter Medium


textures/pulchr/teleenv-medium
{
	deformVertexes wave 100 sin 3 0 0 0 
	q3map_surfacelight 400
	{
		map textures/pulchr/teleenv-medium.tga
		blendfunc add
		tcMod rotate 30
		tcMod scroll 1 0.1
		tcGen environment 
	}
}

textures/pulchr/telefront-medium
{
	qer_editorimage textures/pulchr/pulch-medium.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 200
	{
		map textures/pulchr/pulch-medium.tga
		blendfunc blend
	}
	{
		map textures/pulchr/tele-swirl-medium.tga
		blendfunc add
		tcMod rotate -320
	}
	{
		map textures/pulchr/pulch-medium.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 0.5 0 0.25 
	}
}

textures/pulchr/teleback-medium
{
	qer_editorimage textures/pulchr/back.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 200
	{
		map textures/pulchr/back.tga
		tcMod rotate 50
	}
	{
		map textures/pulchr/twirl.tga
		blendfunc blend
		tcMod rotate -540
	}
	{
		clampmap textures/pulchr/tele-swirl-medium.tga
		blendfunc add
		tcMod rotate 573
	}
	{
		clampmap textures/pulchr/tele-swirl-medium.tga
		blendfunc add
		tcMod rotate 573
		tcMod stretch sin 0.52 0 0 0 
	}
}


/// Porter Hard


textures/pulchr/teleenv-hard
{
	deformVertexes wave 100 sin 3 0 0 0 
	q3map_surfacelight 400
	{
		map textures/pulchr/teleenv-hard.tga
		blendfunc add
		tcMod rotate 30
		tcMod scroll 1 0.1
		tcGen environment 
	}
}

textures/pulchr/telefront-hard
{
	qer_editorimage textures/pulchr/pulch-hard.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 200
	{
		map textures/pulchr/pulch-hard.tga
		blendfunc blend
	}
	{
		map textures/pulchr/tele-swirl-hard.tga
		blendfunc add
		tcMod rotate -320
	}
	{
		map textures/pulchr/pulch-hard.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 0.5 0 0.25 
	}
}

textures/pulchr/teleback-hard
{
	qer_editorimage textures/pulchr/back.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 200
	{
		map textures/pulchr/back.tga
		tcMod rotate 50
	}
	{
		map textures/pulchr/twirl.tga
		blendfunc blend
		tcMod rotate -540
	}
	{
		clampmap textures/pulchr/tele-swirl-hard.tga
		blendfunc add
		tcMod rotate 573
	}
	{
		clampmap textures/pulchr/tele-swirl-hard.tga
		blendfunc add
		tcMod rotate 573
		tcMod stretch sin 0.52 0 0 0 
	}
}


/// NovPic

textures/9piyo/piyo-nov
{
     qer_editorimage textures/9piyo/piyo-nov.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/piyo-nov.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/piyo-info
{
     qer_editorimage textures/9piyo/piyo-info.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/piyo-info.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}

textures/9piyo/funsounds
{
     qer_editorimage textures/9piyo/funsounds.jpg
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_surfacelight 20
	nopicmip
	polygonOffset
	{
		map textures/9piyo/funsounds.jpg
		alphaFunc GE128
		blendfunc add
		rgbGen vertex
	}
}


